Bug 851382 - usage of cpu is 100% after boot up win7-64 guest with -m 192GB
usage of cpu is 100% after boot up win7-64 guest with -m 192GB
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.9
x86_64 Windows
unspecified Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On: 820112
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 21:32 EDT by FuXiangChun
Modified: 2013-04-10 09:53 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 09:53:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
win7 screenshot (44.25 KB, image/png)
2012-08-23 21:35 EDT, FuXiangChun
no flags Details

  None (edit)
Description FuXiangChun 2012-08-23 21:32:58 EDT
Description of problem:
  win7-64 guest max support memory 192G. I attached a sreenshot. this is a testing matrix:

matrix

mem    cpu     connection    usage of vcpu
2G     >16     vnc or spice   20%
192   >=16     vnc or spice   100% 
192   <16      vnc or spice   100%


notes: host info
cpu:AMD Opteron(tm) Processor 6172
cpu cores: 48
MEM:512G


Version-Release number of selected component (if applicable):
# uname -r
2.6.18-336.el5
#rpm -qa|grep kvm
# uname -r
2.6.18-336.el5

How reproducible:
100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -m 192G -smp 16 -cpu qemu64,+sse2 -drive file=win7-64,format=qcow2,media=disk,if=virtio,boot=on,werror=stop -net nic,model=virtio,macaddr=04:16:37:51:37:27,vlan=0 -net tap,sndbuf=0,vlan=0,script=/etc/qemu-ifup,downscript=no -uuid 7e8fabbb-ce86-4b2c-8df7-841b4d3901a4 -vnc :1 -boot c -usbdevice tablet -no-hpet -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -balloon none
2.check usage of cpu in guest
3.
  
Actual results:
usage of cpu is 100%

Expected results:
usage of cpu is <30%

Additional info:
Comment 1 FuXiangChun 2012-08-23 21:35:41 EDT
Created attachment 606729 [details]
win7 screenshot
Comment 2 FuXiangChun 2012-08-23 22:37:13 EDT
Try to find specific memory value that cause guest useage of cpu 100%.

summuary:

Mem        cpu     duration(usage of cpu(100%)

80G        4cores  about 1 minute

90         4cores  about 5 minutes

128G       4cores  exceed 10minutes(unknow)

>128       4cores  unknow
Comment 3 Ronen Hod 2012-08-26 06:02:34 EDT
For now, deferring to 5.10.
Probably we will never fix it.
Lets see what happens with the RHEL6 bug 820112 (also interesting is bug 844862).
Comment 4 FuXiangChun 2012-08-28 22:25:52 EDT
There is the same issue on Intel host.

Note You need to log in before you can comment on or make changes to this bug.